QGIS Application - Bug report #16400
Relation reference widget - filter lists are not refreshed in attribute table form view
2017-03-30 01:19 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Edit widget

Affected QGIS version:2.18.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24309
Description

When opening a standalone form, if chained filters were chosen, they are remembered and displayed correctly.
In attribute form view, when switching from one form to another, the filters are not refreshed and stay displayed with the field name, not the
chosen value.

| guess some init signals are missing here. (And we suspect that init python scripts are not also loaded in this use case, but it's another
bug request)

Please see the gif that show the behavior here https://share.oslandia.net/public/7df0b9 (better to download and display in a browser
locally, direct display doesn't seem to work)

Associated revisions

Revision cea7bd39 - 2017-08-18 08:38 AM - Paul Blottiere

Fixes relation reference widget by refreshing filter lists. Fixes #16400

Revision 18¢15971 - 2017-08-18 04:38 PM - Hugo Mercier

Merge pull request #5043 from pblottiere/bugfix_refrel

Fixes relation reference widget by refreshing filter lists. Fixes #16400

Revision cb390d7f - 2017-08-21 02:43 AM - Paul Blottiere

Fixes relation reference widget by refreshing filter lists. Fixes #16400

Revision 6380a97e - 2017-08-21 08:55 AM - Hugo Mercier

Merge pull request #5045 from pblottiere/bugfix_refrel_218

Fixes relation reference widget by refreshing filter lists. Fixes #16400 (backport)

History

#1 - 2017-03-30 01:19 PM - Regis Haubourg
- File deleted (quote_list.png)
https://share.oslandia.net/public/7df0b9

#2 - 2017-04-25 07:35 AM - Regis Haubourg
- Priority changed from Normal to High

- File Sélection_016.png added

- File Sélection_015.png added

Well, I hadn't seen correctly the problem:

If chain filters is displayed, the real value is not displayed at all in the widget when switching from on feature to another in attribute table view. This is

nastier than | thought.

See attached images showing before and after the switch.

#3 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#4 - 2017-07-25 11:21 PM - Giovanni Manghi
- Description updated
- Crashes QGIS or corrupts data changed from No to Yes

#5 - 2017-08-18 04:38 PM - Paul Blottiere

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|cea7bd39d8a3575bda85acdd15bae621e2547cd1.
